GraphConverter2D
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.data.conversions
Class GraphConverter2D

    java.lang.Object
      org.gcube.contentmanagement.graphtools.data.conversions.GraphConverter2D

    public class GraphConverter2D

extends java.lang.Object

Field Summary
`static java.lang.String` | `SPIKE`

Constructor Summary
`GraphConverter2D()`

Method Summary
`static void` | `anotatePoints(GraphGroups gg, java.util.List<java.lang.Integer> pointsIndexes, java.util.List<java.lang.String> lables)`
`static void` | `anotateStationaryPoints(GraphGroups gg)`
`static void` | `anotateStationaryPoints(GraphGroups gg, java.util.List<java.lang.String> lables)`
`static java.util.List<>` | `convert(SamplesTable sampleTable)`
`static java.util.List<>` | `deleteHeaders(java.util.List<> samples)`
`static java.util.List<>` | `filterXRange(java.util.List<> samples, java.lang.String minX, java.lang.String maxX)`
`static java.util.List<java.lang.String>` | `getLabelsfromIndexes(java.util.List<> points, java.util.List<java.lang.Integer> indexes)`
`static java.util.List<java.lang.String>` | `getLablesFromPoints(Point points)`
`static java.util.List<Point>` | `getStationaryPoints(GraphData graph)`
`static java.util.List<>` | `reduceDimension(java.util.List<> samples)`
`static java.util.List<>` | `reorder(java.util.List<> samples)`
`static void` | `sampleAnotationByRange(java.util.List<> samples, int range)`
`static void` | `sampleAnotationBySameFollower(java.util.List<> samples)`
`static java.util.List<>` | `transformTable(SamplesTable sampleTable)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPIKE

    public static final java.lang.String SPIKE

See Also:
  Constant Field Values

Constructor Detail

### GraphConverter2D

    public GraphConverter2D()

Method Detail

### reduceDimension

    public static java.util.List<> reduceDimension(java.util.List<> samples)

### convert

    public static java.util.List<> convert(SamplesTable sampleTable)

### deleteHeaders

    public static java.util.List<> deleteHeaders(java.util.List<> samples)

### transformTable

    public static java.util.List<> transformTable(SamplesTable sampleTable)

### reorder

    public static java.util.List<> reorder(java.util.List<> samples)

### filterXRange

    public static java.util.List<> filterXRange(java.util.List<> samples,
                                                     java.lang.String minX,
                                                     java.lang.String maxX)

### anotateStationaryPoints

    public static void anotateStationaryPoints(GraphGroups gg)

### anotateStationaryPoints

    public static void anotateStationaryPoints(GraphGroups gg,
                                               java.util.List<java.lang.String> lables)

### anotatePoints

    public static void anotatePoints(GraphGroups gg,
                                     java.util.List<java.lang.Integer> pointsIndexes,
                                     java.util.List<java.lang.String> lables)

### getStationaryPoints

    public static java.util.List<Point> getStationaryPoints(GraphData graph)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLablesFromPoints

    public static java.util.List<java.lang.String> getLablesFromPoints(Point points)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getLabelsfromIndexes

    public static java.util.List<java.lang.String> getLabelsfromIndexes(java.util.List<> points,
                                                                        java.util.List<java.lang.Integer> indexes)
                                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sampleAnotationBySameFollower

    public static void sampleAnotationBySameFollower(java.util.List<> samples)
                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### sampleAnotationByRange

    public static void sampleAnotationByRange(java.util.List<> samples,
                                              int range)
                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD